{
	"name": "table/external/lantek/product/sheet.json",
	"table_name": "sheet",
	"table_prefix": "sh",
	"record_type": ["stock_parcel"],
	"local_table": "product_lot",
	"local_record_type": "stock_parcel",
	"field": [
		{
			"field_name": "recId",
			"local_field": "record_id",
			"field_type": "text"
		},
		{
			"field_name": "PrdRef",
			"local_field": "serial_number",
			"field_type": "text"
		},
		{
			"field_name": "PrdName",
			"local_field": "info",
			"field_type": "text"
		},
		{
			"field_name": "Material",
			"local_field": "product_id",
			"field_type": "text"
		},
		{
			"field_name": "Thickness",
			"local_field": "amount",
			"field_type": "double"
		},
		{
			"field_name": "Width",
			"local_field": "json_data.width",
			"field_type": "double"
		},
		{
			"field_name": "Height",
			"local_field": "json_data.height",
			"field_type": "double"
		},
		{
			"field_name": "Area",
			"local_field": "json_data.area",
			"field_type": "double"
		},
		{
			"field_name": "LastDate",
			"local_field": "modify_time",
			"field_type": "timestamp"
		}
	],
	"field-": [
		{
			"field_name": "Locref",
			"local_field": "record_id",
			"field_type": "text"
		},
		{
			"field_name": "Origin",
			"field_type": "double"
		},
		{
			"field_name": "OriginType",
			"field_type": "double",
			"default_value": 0
		},
		{
			"field_name": "Quantity",
			"local_field": "amount",
			"field_type": "double"
		},
		{
			"field_name": "ShtRef",
			"local_field": "product_id",
			"field_type": "text"
		},
		{
			"field_name": "Tracking",
			"local_field": "serial_number",
			"field_type": "text"
		},
		{
			"field_name": "WrhRef",
			"local_field": "location",
			"field_type": "text"
		},
		{
			"field_name": "xsi_type",
			"field_type": "text",
			"default_value": "WarehouseSheetType"
		},
		{
			"field_name": "Length",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "PalletX",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "PalletY",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "PalletZ",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "ExtArea",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "Area",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "ExtWeight",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "PrevOpID",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "MQ",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "R",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "RDate",
			"local_field": "",
			"field_type": "date"
		},
		{
			"field_name": "RectArea",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "RectWeight",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "G",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "HasAllocation",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"field_name": "IOrder",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "B",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "NextOpID",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "CutPerim",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "OprID",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "LQ",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "Weight",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "Width",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "OrderQuantity",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "UData8_Prt",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "PrdRef",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "CusName",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "CusRef",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "Descrip",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "DescripNext",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "DescripNextAnswer",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "ETime",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "Image",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "ImageL",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "MnORef",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "MnORefOrg",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "MnORoot",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "NextOp",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "NextOpWc",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "OrdRef",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "PalletRef",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "PrdName",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "PrevOp",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "PrevOpWc",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "UData1_Prt",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "UData2_Prt",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "UData3_Prt",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "UData4_Prt",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "UData5_Prt",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "UData6_Prt",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "UData7_Prt",
			"local_field": "",
			"field_type": "text"
		}
	],
	"example-data": [
		{
			"Locref": "",
			"Origin": "",
			"OriginType": "0",
			"Quantity": "1",
			"ShtRef": "3000x1500x0.8",
			"Tracking": "",
			"WrhRef": "",
			"xsi_type": "WarehouseSheetType"
		}
	]
}
